﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class spawner : MonoBehaviour
{
    public GameObject childPrefab;

    public int startingAmount = 100;

    private Dictionary<string, bool> babyCombos = new Dictionary<string, bool>();

    void Start()
    {
        for (int x = 0; x < startingAmount; x++)
        {
            SpawnBaby();
        }
    }

    public void SpawnBaby()
    {
        float _x = Random.Range(-45, 45);
        float _z = Random.Range(-35, 35);

        var _newChild = Instantiate(childPrefab, new Vector3(_x, 1.5f, _z), Quaternion.identity);
        _newChild.transform.parent = this.transform;

        Randomizer _randomizer = _newChild.GetComponent<Randomizer>();

        bool _validChoice = false;
        while (!_validChoice)
        {
            int a, b, c, d, e, f;

            a = Random.Range(0, _randomizer.bases.Length);
            b = Random.Range(0, _randomizer.hats.Length);
            c = Random.Range(0, _randomizer.eyes.Length);
            d = Random.Range(0, _randomizer.faces.Length);
            e = Random.Range(0, _randomizer.tops.Length);
            f = Random.Range(0, _randomizer.bottoms.Length);

            string _combination = a.ToString() + b.ToString() + c.ToString() + d.ToString() + e.ToString() + f.ToString();

            if (!babyCombos.ContainsKey(_combination))
            {
                _randomizer.RandomizeParts(a, b, c, d, e, f);
                babyCombos.Add(_combination, true);
                _validChoice = true;
            }
        }
    }
}
